{
  buildGoModule,
  fetchFromGitea,
  lib,
  ...
}:
buildGoModule rec {
  pname = "kv";
  version = "0.0.3";

  src = fetchFromGitea {
    domain = "git.jojodev.com";
    owner = "jolheiser";
    repo = "kv";
    rev = "v${version}";
    sha256 = "sha256-55He6BT9QgcJ20Ia7SQFMUmLkwDooD5ICCfLq7kk+FM=";
  };

  vendorSha256 = "sha256-COA/YSyJanoxvYG3LFmp9eCwVJuqI9PZV1fLOs4MSPo=";

  ldflags = ["-s" "-w" "-X=main.Version=${version}"];

  postInstall = ''
    mkdir -p $out/share
    cp -vr ./contrib/kv-completions.nu $out/share/kv-completions.nu
  '';

  meta = with lib; {
    description = "Key/Value store";
    homepage = "https://git.jojodev.com/jolheiser/kv";
    license = licenses.mit;
  };
}
